/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/

#ifndef SOURCEVIEW_H__
#define SOURCEVIEW_H__

/*################### Globals ####################*/
extern GtkWidget *sourceview;
extern GtkTextBuffer *sourceview_buffer;

/*##################### Functions ########################*/
extern GtkWidget *gsim_get_sourceview_box( void );
extern gboolean show_hide_sourceview(void);
extern void gsim_reset_sourceview(void);
extern void sourceview_scroll_end(void);

#endif
